import express,{Router, Request, Response} from 'express';
import User from '../models/User';

const router:Router = express.Router();

router.post('/', async (req : Request, res : Response) => {
    try{
    const {name,surname,password,email} = req.body;
    const displayName = surname+' '+name[0]+'.'
    const user = new User({
        name:name,
        surname:surname,
        email:email,
        password:password,
        displayName:displayName
    })
    await user.save();
    return res.send({user})
}catch(e ){
    if (e instanceof Error){
        return res.status(404).send({'message':e.message});
    }
    return res.status(500).send({'message':'Broke server'});
}
})


router.get('/', async (req : Request, res : Response):Promise<Response<any, Record<string, any>>> => {
    const users = await User.find()
    return res.send({users})
})

export default router;
